:root {
/*  color variables */
  --bg-color: #FAB861; /* beige  */
  --nav-color: #61A3FA; /* blue */
  --outline-color: #366499; /* dark blue */ 
  --outline2-color: #996B36; /* dark beige  */
  --butt-out-color: #707070; /* dark grey */

/*  no more spacing variables!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! yay */
}

/* padding at the top of every page, should go underneath the ul for nav bar */

div.long {
  padding-top: 5em;
}

/* elements */
h1 {
  text-align: center;
  font-size: 50px;
  color: black;
  margin-top: 0;
  margin-bottom: 0;
  font-family: Arial Black;
}

.main {
  text-align: center;
}

div.major {
  display: flex;
  padding: 2%;
  gap: 4em;
}

/* contails h1 and img on Home */
div.mainLogo {
  margin-right: auto;
  border-width: 4px;
  border-color: var(--outline2-color);
  min-width: 30em;
  max-width: 80em;
}

/* contains img on Home */
.logo {
  display: block;
  width: 33em;
  margin-left: auto;
  margin-right: auto;
}

div.homePara {
  text-align: center;
  min-width: 30em;
  max-width: 80em;
}

h2 {
  text-align: center;
  font-size: 45px;
  margin-top: 5px;
  margin-bottom: 4px;
  color: black;
}

hr {
  border: 2px solid var(--outline2-color);
}

body {
  background-color: var(--bg-color);
  box-sizing: border-box;
  margin: 0;
}

p, form {
  text-align: center;
  font-size: 30px;
  margin-top: 0;
}

.bigbox {
  text-align: left;
  line-height: 1.5;
  font-size: 1em;
  max-height: 200px;
  width: 40%;
  height: 120%;
  word-wrap: break-word;
}

.no {
margin-bottom: 0;
}

/* OBSOLETE. Makes text white. EX: <p class="white"> */
.wh { 
  color: white;
}

/* Used for announcements. EX: <p class="an"> */
.an {
  border-style: solid;
  padding: 10px;
  border-width: 4px;
  border-color: var(--outline2-color);
  background-color: white;
  margin: 2em;
  margin-top: 0;
}

input, select {
  font-size: 30px;
}

input:focus, select:focus {
  outline: 4px solid black;
}

/* Buttons */
button {
  font-size: 30px;
  border-style: solid;
  border-width: 4px;
  border-color: var(--butt-out-color);
  border-radius: 14px;
  padding: 0.5em 0.5em;
}

button:hover {
  font-size: 30px;
  border-style: solid;
  border-width: 4px;
  box-shadow: 0px 0px 10px black;
}

/* used for the buttons seen on Schedule */ 
.options {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2em;
}

/* NAVIGATION BAR */

ul.nav {
  position: fixed;
  list-style-type: none;

  width: 100%;
  margin-top: 0%;

  overflow: hidden;
  background-color: var(--nav-color);
  font-size: 22.5px;

  border-style: solid;
  border-width: 6px;
  border-color: var(--outline-color);

  border-left-style: none;
  border-top-style: none;
  border-right-style: none;
  font-family: Arial Black;
}

ul.nav li {
  float: left;
}

ul.nav li a {
  display: block;
  color: black;
  text-align: center;
  padding: 14px 16px;
  margin: 10px;
  text-decoration: none;
  border-width: 0px;
  border-radius: 14px;
  max-width: 100em;
}

ul.nav li a:hover {
  background-color: var(--outline-color);
  box-shadow: 0px 0px 10px var(--outline-color);
  color: white;
}

/* The .active class is to be used on the current page. EX: if the current page is home, the home button should be written as '<li class=active>Home</li>' in the home page's HTML file. */
.active { 
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  margin: 10px;
  text-decoration: none;
  border-width: 2px;
  border-color: var(--outline-color);
  border-radius: 14px;
  background-color: var(--outline-color);
}

/* REVIEWS */

div.showReview {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 1em;
}

div.reviewBox {
  word-wrap: break-word;
  display: inline-block;
  color: black;
  font-size: 125%;
  text-align: center;
  padding: 14px 16px;
  gap: 2%;
  border-style: solid;
  border-width: 4px;
  border-color: var(--outline2-color);
  border-radius: 14px;

  height: 170px;
  width: 300px;

  margin: auto;
}

div.stars {
  margin-top: 3%;
  font-size: 150%;
  text-align: center;
  text-shadow: 0px 0px 5px;

  width: auto;
  height: 2em;

  border-style: solid;
  border-width: 0px;
  border-color: var(--outline2-color);
  border-radius: 14px;
}

/* GALLERY */

/* Team Gallery */
div.teamGallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
}

div.teamGallery-item {
  margin: auto;
  border: 5px solid var(--outline2-color);
  width: 22em;
  height: 40em;
  display: block;
  margin-bottom: 40px;
  background-color: var(--outline2-color);
  font-size: 110%;
  color: black;
}

div.teamGallery-item img {
  width: inherit;
}

div.teamGallery-item div.desc {
  padding: 5px;
  text-align: center;
  font-size: 140%;
}

/* Image Gallery */
div.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
}

div.gallery-item {
  margin: 5px;
  border: 5px solid var(--outline2-color);
  width: auto;
  display: block;
  margin: auto;
  margin-bottom: 40px;
  width: 22%;
  background-color: var(--outline2-color);
  font-size: 120%;
  color: black;
}

div.gallery-item img {
  width: 100%;
  height: 100%;
}

div.gallery-item div.desc {
  padding: 15px;
  text-align: center;
}

/* universal shadow hover for all galleries */
div.gallery-item:hover {
  box-shadow: 0px 0px 15px var(--outline2-color);
}
